If you know about NGINX and servers, Webinoly is for you!
0 votes
121 views
by Rookie

Hey, why command - wget -qO weby qrok.es/wy && sudo bash weby 3

install all php versions, starting at 5.6 and ending at 8.0.0rc1 ?

how can i install only one 7.4 version ?

i trying to use - stack -lemp -php-ver=7.4, but still installed all php versions

and php -v shows 8.0.0rc1

ubuntu 20

1 Answer

0 votes
by Expert
edited by

Sorry, this is out of our hands!

The Ondrej PHP repo is experiencing an unexpected behavior, there is a ticket already open on their repo: https://github.com/oerdnj/deb.sury.org/issues/1465

I hope they close this issue very soon!

UPDATE: Ondrej repo should be working fine now! This issue was fixed and for more info and details you can read the original post in GitHub. We will include some minor changes in Webinoly in the next release for better compatibility with these new changes.

by Expert

UPDATE:

  • Even though php -v display v8.0 RC, sites created are actually using the correct PHP version (default: 7.4).
  • Except for installing multiple version, seems like there's no major affectations and sites are working correctly and using the right version.
by Expert

UPDATE:

On existing servers, DON'T DO apt update & upgrade this will install all the PHP versions available.

by Rookie
I tried to install webinoly on ubuntu 18, everything seems to be fine, but php-v shows:

PHP Warning:  PHP Startup: Unable to load dynamic library 'redis.so' (tried: /usr/lib/php/20190902/redis.so (/usr/lib/php/20190902/redis.so: undefined symbol: igbinary_serialize), /usr/lib/php/20190902/redis.so.so (/usr/lib/php/20190902/redis.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

PHP Warning:  PHP Startup: Unable to load dynamic library 'memcached.so' (tried: /usr/lib/php/20190902/memcached.so (/usr/lib/php/20190902/memcached.so: undefined symbol: igbinary_serialize), /usr/lib/php/20190902/memcached.so.so (/usr/lib/php/20190902/memcached.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

PHP 7.4.11 (cli) (built: Oct 10 2020 19:44:50) ( NTS )
Welcome to the Community site for Webinoly.

Our Optimized LEMP Web Server is a powerful set of commands for doing just about anything you could wish.

With Webinoly you can set up your NGINX web server in just one step.

* * * * * * *

To report a bug, please create a new issue on GitHub or ask a question here with the bug tag.

Donations

Webinoly Support Paypal Donations Webinoly Support Bitcoin Donations GitHub Sponsors

Your regular donations is what keep this project moving forward. If you like Webinoly, buy me a coffee or a beer to show support.

Affiliate Links

It is very important that any visitor to the site read the disclaimer, terms of use and privacy and legal statement before start browsing.

...